# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/cmake gcc-c++ perl(Benchmark.pm) perl(Cwd/Guard.pm) perl(Exporter.pm) perl(File/Which.pm) perl(HTTP/Tiny.pm) perl(JSON/PP.pm) perl(Module/Build.pm) perl(Module/Build/XSUtil.pm) perl(Test/More.pm) perl(XSLoader.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_version 0.11
%define module_name Geo-Hex-V3-XS
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.11
Release: alt6
Summary: GeoHex implementation with XS. (c-geohex3 Perl5 binding.)
Group: Development/Perl
License: mit
URL: https://github.com/karupanerura/Geo-Hex-V3-XS

Source0: http://cpan.org.ua/authors/id/K/KA/KARUPA/%{module_name}-%{module_version}.tar.gz

%description
From summary: %summary

%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md
%perl_vendor_archlib/G*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.11-alt6
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.11-alt5
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.11-alt4.1
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.11-alt3.1
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.11-alt3
- rebuild with perl 5.26

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 0.11-alt2
- rebuild to get rid of unmets

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1.1
- rebuild with perl 5.22

* Sat Oct 24 2015 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1
- new version

